%define upstream_name    Dist-Zilla-Plugin-CPANChangesTests
%define upstream_version 1.002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Add release tests using Test::CPAN::Changes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Test::CPAN::Changes)
BuildRequires: perl(Test::More) >= 0.960.0
BuildArch:  noarch

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files:

  xt/release/cpan-changes.t - a standard Test::CPAN::Changes test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.2.0-3.mga4
+ Revision: 510993
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 366058
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 12 2011 jquelin <jquelin> 1.2.0-1.mga1
+ Revision: 83747
- update to 1.002

* Mon Mar 14 2011 jquelin <jquelin> 1.1.0-1.mga1
+ Revision: 71089
- imported package perl-Dist-Zilla-Plugin-CPANChangesTests


* Mon Mar 14 2011 cpan2dist 1.001-1mga
- initial mageia release, generated with cpan2dist
